/*******************************************************************************
* KindEditor - WYSIWYG HTML Editor for Internet
* Copyright (C) 2006-2011 kindsoft.net
*
* @author Roddy <luolonghao@gmail.com>
* @site http://www.kindsoft.net/
* @licence http://www.kindsoft.net/license.php
*
*添加分页标记
*
*
*******************************************************************************/

KindEditor.plugin('zdypagebreak', function (K) {
    var self = this;
    var name = 'zdypagebreak';
    var zdypagebreakHtml = K.undef(self.zdypagebreakHtml, '<button id="ZDSOFTPAGINGTAG">分页标记</button>');

    self.clickToolbar(name, function () {
        var cmd = self.cmd, range = cmd.range;
        self.focus();
        var tail = self.newlineTag == 'br' || K.WEBKIT ? '' : '';
        self.insertHtml(zdypagebreakHtml + tail);
        if (tail !== '') {
            var p = K('#__kindeditor_tail_tag__', self.edit.doc);
            range.selectNodeContents(p[0]);
            p.removeAttr('id');
            cmd.select();
        }
    });
});
